> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/onchain-data/summary-of-access-registry-state",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Summary of access registry state

> Returns a summary of the current state of the access registry for the specified baseAssetId and accessRegistryAddress.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /onchain_data/base_asset_id/{baseAssetId}/access_registry_address/{accessRegistryAddress}/summary
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /onchain_data/base_asset_id/{baseAssetId}/access_registry_address/{accessRegistryAddress}/summary:
    get:
      tags:
        - Onchain Data
      summary: Summary of access registry state
      description: >-
        Returns a summary of the current state of the access registry for the
        specified baseAssetId and accessRegistryAddress.
      operationId: getAccessRegistrySummary
      parameters:
        - $ref: '#/components/parameters/BaseAssetId'
        - $ref: '#/components/parameters/AccessRegistryAddress'
      responses:
        '200':
          description: Successfully retrieved the summary of the access registry state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessRegistrySummaryResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<AccessRegistrySummaryResponse>> =
            fireblocks.onchainData.getAccessRegistrySummary(onchainDataApiGetAccessRegistrySummaryRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AccessRegistrySummaryResponse>>
            response =
            fireblocks.onchainData().getAccessRegistrySummary(baseAssetId,
            accessRegistryAddress);
        - lang: Python
          source: >-
            response =
            fireblocks.onchain_data.get_access_registry_summary(base_asset_id,
            access_registry_address);
components:
  parameters:
    BaseAssetId:
      name: baseAssetId
      in: path
      description: The blockchain base assetId
      example: ETH_TEST3
      schema:
        type: string
      required: true
    AccessRegistryAddress:
      name: accessRegistryAddress
      in: path
      description: The access registry address
      example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
      schema:
        type: string
      required: true
  schemas:
    AccessRegistrySummaryResponse:
      type: object
      properties:
        totalActiveAddresses:
          type: number
          description: The total number of active addresses in the access registry
          example: 42
      required:
        - totalActiveAddresses
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````